Subject: Re: [PATCH v2 0/2] doc: git-push: clarify section

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Sep 2025 08:59:52 -0700

"Julia Evans via GitGitGadget" <[email-masked]> writes:

> I don't love the nested list in PUSH RULES but the sentence starting with
> "If the source is a tag or commit object..." is really a tough one to read,
> it's not going to be relevant to the vast majority of people, and I think
> keeping it contained inside a bullet point will make it much easier to skip
> over to get to later information which is more likely to be relevant to
> folks.
> ...
> Changes in v2:
>
>  * Say just "The source can be any object." and don't try to educate folks
>    further about tags, from Junio's review
>  * Mention both exceptions to --force working, from Junio's review
>  * Change "local branch or commit being pushed" => "commit being pushed" to
>    make it clear that it's just 1 condition, from Junio's review
>  * Remove an awkward double colon, from Junio's review
>  * Be explicit that creations are always allowed, from Junio's revew

Nothing questionable stood out during my re-read of these two
patches.

Further comments from other reviewers are always welcome, but we
find needs for immediate improvements, let's mark the topic for
'next'.  Thanks.